Bug 996869

Summary: Page navigation buttons inconsistent through the GUI
Product: [JBoss] JBoss BRMS Platform 6 Reporter: Zuzana Krejčová <zkrejcov>
Component: Business CentralAssignee: manstis
Status: ASSIGNED --- QA Contact: Lukáš Petrovický <lpetrovi>
Severity: low Docs Contact:
Priority: medium    
Version: 6.0.0CC: etirelli, kverlaen, lpetrovi, rrajasek
Target Milestone: ER4   
Target Release: 6.1.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
"BRMS part" page navigation buttons
none
"BPMS part" page navigation buttons
none
BRMS paging widget - ER5
none
BPMS paging widget - ER5 none

Description Zuzana Krejčová 2013-08-14 04:11:10 EDT
Created attachment 786426 [details]
"BRMS part" page navigation buttons

Description of problem:
Page navigation buttons in the "BPMS part" of the GUI (Process Management, Deployments, Tasks) are different than those in the "BRMS part" (accessible through Authoring menu, namely in Asset repository and Guided DT Audit log).

Furthermore, the "BRMS part" page navigation buttons do not have any description of what each of them does, the way those in the "BPMS part" do.


Version-Release number of selected component (if applicable):
kie-wb 6.0 CR1
Comment 1 Zuzana Krejčová 2013-08-14 04:11:42 EDT
Created attachment 786427 [details]
"BPMS part" page navigation buttons
Comment 2 manstis 2013-09-06 11:42:47 EDT
Jervis, could you change the pager used by Inbox to be the same as used by Salaboy (it might need a change to the AbstractPagedTable stuff we have - hopefully just using a GWTBootstrap widget instead of a native GWT one)
Comment 3 Zuzana Krejčová 2013-09-09 04:33:16 EDT
(In reply to manstis from comment #2)
> Jervis, could you change the pager used by Inbox to be the same as used by
> Salaboy (it might need a change to the AbstractPagedTable stuff we have -
> hopefully just using a GWTBootstrap widget instead of a native GWT one)

Could we do the same for M2 repository explorer (Asset Repository) and Guided Decision Table Audit log as well?
Comment 9 Zuzana Krejčová 2013-12-10 08:45:34 EST
There are certainly visual improvements. But 2 things remain to be done.

1. While BRMS parts use Fast Forward, BPMS parts use Last Page. And the difference is not just in the button title - Fast Forward means jump 100 items forward, it seems. Hard to say which one is better though.
2. In Artifact repository, the item/page counter is to the right of navigation buttons whereas in the rest of the GUI it is to the left of them.
Comment 10 Lukáš Petrovický 2014-02-04 12:48:17 EST
QE considers this optional for 6.0.1.
Comment 11 manstis 2014-06-11 04:35:05 EDT
Following introduction of a new standard "Grid Widget" and it's use throughout Drools (BRMS) related screens the outstanding task is for jBPM's (BPMS) related screens to migrate to the new table. This work is with Mauricio. Reassigning.
Comment 12 Kris Verlaenen 2014-11-27 20:07:10 EST
All views should be reusing the same table component now.
Comment 13 Zuzana Krejčová 2015-03-02 07:48:27 EST
BPMS parts (Deployments, Process management, Tasks) use different paging than BRMS parts - BRMS tables have more buttons. See screenshots.
Comment 14 Zuzana Krejčová 2015-03-02 07:49:43 EST
Created attachment 997070 [details]
BRMS paging widget - ER5
Comment 15 Zuzana Krejčová 2015-03-02 07:50:06 EST
Created attachment 997071 [details]
BPMS paging widget - ER5
Comment 16 Zuzana Krejčová 2015-12-08 09:49:05 EST
Audit log in guided decision tables still has different paging.
Modules list in Repository structure, list of dependencies in Project editor, tables in kbases and ksessions in Project editor, Import suggestions in Project editor and advanced properties table in persistence descriptor have no paging at all.
Comment 19 Bugzilla account termination 2017-12-07 18:34:09 EST
Employee 'msalatin@redhat.com' has left the company.